@font-face {
  font-family: "Poppins";
  src: url("fonts/poppins_reg.woff2") format("woff2");
  /* Adjust the font path and format as needed */
  /* You can include additional font variations here (e.g., bold, italic) if available */
  font-display: swap;
}

@font-face {
  font-family: "Poppins_bold";
  src: url("fonts/poppins_bold.woff2") format("woff2");
  /* Adjust the font path and format as needed */
  /* You can include additional font variations here (e.g., bold, italic) if available */
  font-display: swap;
}

@font-face {
  font-family: "proxima_reg";
  src: url("fonts/proxima_regular.ttf") format("truetype");
  /* Adjust the font path and format as needed */
  /* You can include additional font variations here (e.g., bold, italic) if available */
  font-display: swap;
}

@font-face {
  font-family: "sftransrobotic";
  src: url("fonts/SfTransroboticsEO.woff2") format("woff2");
  /* Adjust the font path and format as needed */
  /* You can include additional font variations here (e.g., bold, italic) if available */
  font-display: swap;
}

figure {
  margin: auto;
}

p {

  font-size: 1rem;
  line-height: 1.6;
}

.related_post_content {
  display: grid;
  gap: 36px 27px;
  /* grid-template-columns: 150px 150px 150px 150px; */
  align-content: space-around;
  justify-content: center;
  justify-items: center;
  grid-template-columns: repeat(auto-fill, 250px);
  margin-left: 60px;
  margin-right: 60px;
  margin-bottom: 30px;
  transition: opacity 1.5s ease;

  .related-post {
    max-height: 300px;
    background: white;
    height: auto;
    border-radius: 4px;
    border: 1px solid #fbf2f2;
    padding: 15px;
  }

  .related-post-image {
    border-radius: 4px 4px 0px 0px;
    object-fit: cover;
    width: 100%;
    height: 170px;
    min-height: 170px;
  }

  a {
    color: #070707 !important;
    text-decoration: none !important;
    font-weight: bold;
    /* font-family: sans-serif; */
    font-size: 87%;
  }
}

button#btnGoHome {
  margin: auto;
  margin-block: 30px;
}

div#prod_comments_wrapper {
  background: ghostwhite;

  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease, padding 0.5s ease;
  padding: 0;
}

div#prod_comments_wrapper.visible {
  max-height: 200px;
  /* Adjust to the desired height */
  padding: 10px;
  /* Adjust to match content */
}

.ftrd-img-wrapper {
  margin-bottom: 20px;

  img {
    display: block;

    /* margin: auto; */
    width: 70% !important;
  }
}

.adsbygoogle {
  font-size: 12px;
  font-family: "Arial", sans-serif;
  font-style: italic;

  padding: 10px;
  text-align: center;
  margin: 10px;
}

/* for product images preview desc */
.imagesDescription {
  display: block;
  background: #f9f8f7;
  padding: 5px;

  p#prd_img_title {
    font-weight: 600;
    margin: auto;
    margin: 0;
    margin-left: 6px;
    font-size: 15px;
  }

  p#prd_img_desc {
    /* margin-left: 28px; */
    margin-top: -8px;
    font-size: 12px;
  }
}

div#titleWithIcon {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}

.adsbygoogle::before {
  content: "Advertisements";
  color: #b0a7a7;
}

button#btnStartPurchase {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  box-shadow: 0px 1px 4px #045f88;

  img {
    width: 20px !important;
    height: auto;
    margin-right: 5px;
    filter: brightness(5.5);
  }
}

:root {
  --primary-color: #0f90ff;
  --p-color: #636363;
  --blue: #007bff;
  --indigo: #6610f2;
  --purple: #6f42c1;
  --pink: #e83e8c;
  --red: #dc3545;
  --orange: #fd7e14;
  --yellow: #ffc107;

  --green: #28a745;
  --teal: #20c997;
  --cyan: #17a2b8;
  --white: #fff;

  --gray: #6c757d;
  --gray-dark: #343a40;
  --secondary: #6c757d;
  --success: #28a745;
  --info: #17a2b8;

  --warning: #ffc107;
  --danger: #dc3545;
  --light: #f8f9fa;
  --dark: #343a40;
  --breakpoint-xs: 0;

  --breakpoint-sm: 576px;
  --breakpoint-md: 768px;
  --breakpoint-lg: 992px;
  --breakpoint-xl: 1200px;
  --font-family-sans-serif: -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas,
    "Liberation Mono", "Courier New", monospace;
}

aside {
  width: 40%;
}

.product-download {
  width: 35%;
  margin: auto;
}

.small-text {
  font-size: small;
  margin: 10px;
}

.product-purchase-holder {
  width: 30%;
  margin: auto;
  border: 1px solid #e4e8e4;
  padding: 30px;
  background: white;
  border-radius: 10px;
  font-family: poppins;
  text-align: center;

  h1 {
    font-size: 23px;
  }

  button {
    margin: auto;
  }
}

p.price {
  font-size: 27px;
  font-weight: 900;
  font-family: sans-serif;
  color: #000000;
}

p.priceInr {
  color: black;
  margin-top: -17px;
  font-size: 14px;
  font-family: sans-serif;
}

h1.ViewProdTitle {
  font-family: sans-serif;

  margin-top: 20px;
  margin-bottom: 20px;
}

.content-main {
  margin-top: 120px;
}

.explore-btn-home:hover {
  transform: scale(1.1);
  /* Scale up to 110% */
}

.explore-btn-home {
  margin: 24px auto;
  width: 300px;

  padding: 10px;
  color: white;
  border: 0px solid ghostwhite;
  font-weight: 900;
  font-size: 15px;
  font-family: "Poppins_bold";
  border-radius: 0px;
  background: linear-gradient(45deg, #4d90fe, #3049c5);
  cursor: pointer;
  transition: transform 0.3s ease;
  display: block;

  text-align: center;
}

nav.header-nav {
  display: inline-flex;
}

.explore-articles {
  min-height: 100vh;
}

.full-height-helper {
  height: 100vh;
}

.holder-view_article {
  display: flex;
  padding: 5% 8%;
  margin-top: 80px;

  margin: 5%;

  background: #fff;
  border-radius: 8px;
  margin-top: 104px;
  border: 1px solid #eee;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.06);
}

div.top-category-menu {
  background-color: white;
  overflow: auto;
  white-space: nowrap;
  text-align: center;
  box-shadow: 0 0px 2px 0 rgba(0, 0, 0, 0.2), 0 0px 0px 0 rgba(0, 0, 0, 0.19);
}

.header-search.show {
  max-height: 500px;
  /* Adjust based on content */
  transition: max-height 0.5s ease, padding 0.5s ease, opacity 0.5s ease;
  opacity: 1;
  background: lightgrey;
}

#s_results {
  display: none;
  gap: 23px 20px;
  /* grid-template-columns: 150px 150px 150px 150px; */
  align-content: space-around;
  justify-content: space-evenly;
  justify-items: center;
  grid-template-columns: repeat(auto-fill, 186px);
  /* margin-left: 60px; */
  /* margin-right: 60px; */
  transition: opacity 1.5s ease;
  /* border: 1px solid; */
  padding: 20px;
}

.s-result-link {
  color: #000000;
  font-family: "Poppins", sans-serif;
  font-size: 80%;
  border-radius: 4px;
  padding: 10px;
  background: ghostwhite;
}

.header-items {
  display: flex;
  align-items: center;
  right: 0;
  position: absolute;
  margin-inline: 30px;

  cursor: pointer;

  img:hover {
    transform: scale(1.3);
  }
}

.header-links {
  right: 0;
  position: absolute;
  margin-right: 25px;
  display: flex;
  align-items: center;
  flex-direction: row;

  a {
    color: #000000;
    cursor: pointer;
    font-family: "poppins_bold", sans-serif;
    margin-inline: 10px;
  }

  a:hover {
    color: var(--primary-color);
  }
}

header {
  background: #ffffff;
  z-index: 100;
  position: fixed;
  top: 0;
  height: 100px;
  transition: top 0.2s ease-in-out;
  width: 100%;
}

.nav-up {
  top: -110px;
}

/* .site-header {
  background: white;
  padding: 0px;
  display: block;
  align-items: center;
  transition: top 0.3s;
  position: relative;
  width: 100%;
  top: 0;
  z-index: 999;
  margin-bottom: 0px;

  /* box-shadow: 0 0px 9px 0 rgb(5 52 82); */

.fixed-header {
  transition: opacity 0.3s ease-out;
}

.header-search {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease, padding 0.5s ease, opacity 0.5s ease;
  opacity: 0;
  text-align: center;

  input[type="text"] {
    width: 40%;
    border: 1px solid #42ca6561;
    background: ghostwhite;
    outline-color: ghostwhite;
    padding: 10px;
    margin: 10px;
    border-radius: 4px;
    font-family: "Poppins", sans-serif;
  }
}

div.top-category-menu {
  nav a {
    text-decoration: none;
    color: rgb(0, 0, 0);
    margin: 5px;
    font-family: "Poppins", sans-serif;
    transition: color 0.3s;
    font-size: 75%;
    padding: 5px;
    padding-inline: 10px;
  }

  nav a:hover {
    color: whitesmoke;
    border-radius: 0px;
    background-color: var(--primary-color);
    /* Change the text color on hover */
  }
}

a {
  text-decoration: none;
  color: black;
}

.main-article {
  width: 70%;

  a {
    color: #0e7afd;
    text-decoration: underline;
  }
}

.error-page {
  max-width: 300px;
  margin: 30px auto;
  padding: 20px;
  /* margin: 10px; */
  text-align: center;
  /* box-shadow: 0 0px 4px 0 rgb(242 240 240); */
}

div#loading-screen {
  display: none;
  flex-direction: column;
  flex-wrap: nowrap;
  align-content: stretch;
  justify-content: center;
  background: white;
  align-items: center;
  position: fixed;
  width: 100%;
  height: 100vh;
  z-index: 100;
  margin-top: -24px;

  img {
    width: 80px;
  }

  p {
    font-family: "Courier New", Courier, monospace;
  }
}

/* .header-links {
  right: 0;
  position: fixed;
  margin-right: 15px;

  span {
    font-family: poppins_bold;
    background: var(--color-primary);
    border-radius: 4px;
    padding: 9px;
    color: white;
    font-size: 14px;
    box-shadow: 0 3px 8px 0 rgba(0, 0, 0, 0.2), 0 1px 4px 0 rgba(0, 0, 0, 0.19);
    cursor: pointer;
  }
} */

span#pricing:hover {
  transform: scale(0.98);
  /* Scale up to 110% */
  color: #865bfe;
}

span#pricing {
  text-align: center;
  margin: auto;
  display: block;
  font-family: "Poppins_bold";
  font-size: larger;
  color: black;
  margin-top: 20px;
  cursor: pointer;

  transition: transform 0.3s ease;
}

.Start-building {
  display: block;
  width: 50%;
  box-shadow: 0 0px 0px 0 rgba(0, 0, 0, 0.2), 0 0px 3px 0 rgba(0, 0, 0, 0.19);
  /* text-align: center; */
  margin: auto;
  border-radius: 10px;
  padding: 10px 20px;
  margin-top: 20px;
  margin-bottom: 20px;

  .block-header {
    margin-left: 3px;
  }

  p {
    margin-left: 5px;
    margin-bottom: 10px;
  }

  .count {
    font-family: "sftransrobotic", monospace;
    margin-left: 0px;
    font-size: 34px;
    color: var(--color-primary);
  }

  hr {
    border-bottom: 4px solid #8d53fd;
    width: 100px;
    opacity: 1;
    margin-bottom: 30px;
    margin-top: 0px;
  }
}

.blocks-holder {
  display: grid;
  gap: 16px 120px;
  /* grid-template-columns: 150px 150px 150px 150px; */
  align-content: space-around;
  justify-content: space-evenly;
  justify-items: center;
  grid-template-columns: repeat(auto-fill, 186px);
  margin-left: 60px;
  margin-right: 60px;

  /* Initially hide the element */
  transition: opacity 1.5s ease;

  p {
    text-align: justify;
  }
}

.block-category {
  text-align: center;
  background: #000000;
  width: fit-content;
  padding-inline: 8px;
  padding: 3px;
  color: white;
  font-family: sans-serif;
  margin-top: -5px;
  z-index: 4;
  position: relative;
  font-size: 11px;
  filter: drop-shadow(1px 1px 1px black);
}

.block-holder-main1 {
  padding-top: 20px;
}

.block-holder-main {
  background: ghostwhite;
  padding-top: 69px;
  /* -webkit-clip-path: polygon(50% 0%, 100% 0, 100% 35%, 50% 70%, 0 35%, 0 0); */
  clip-path: polygon(-42% 1%, 102% 0%, 101% 100%, 0% 113%, 0 10%, 0% 3%);
  margin-top: 0px;
  padding-bottom: 34px;
}

h2.block-main-heading {
  font-size: 28px;
  text-align: center;
  color: #000000;
  font-family: 'poppins_bold';
}

button#btn_get_started {
  display: block;
  margin: auto;
  background: linear-gradient(to right, #6e39d5, #673ab7);

  padding: 15px;
  box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.2), 0 4px 10px 0 rgba(0, 0, 0, 0.19);
}

.block:hover {
  transform: scale(0.98);
  /* Scale up to 110% */
}

.block {
  display: block;
  text-align: center;
  width: 300px;
  background: white;
  margin: 10px;
  border-radius: 13px;
  transition: transform 0.3s ease;
  overflow: hidden;
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.08);
  /* transition: transform 0.25s ease, box-shadow 0.25s ease; */


  img {
    width: 100%;
    /* clip-path: inset(0 round 10px); */
    /* border-radius: 10px 10px 0px 0px; */
    /* height: 300px; */
    object-fit: cover;
    height: 200px;
  }

  p {
    margin-left: 20px;
    margin-bottom: 20px;
    margin-right: 20px;
    font-size: 14px;
    color: #494949;
    line-height: 1.6;
    word-break: break-all;
  }

  .block-img-small {
    width: 100px;
    margin-top: 20px;
    border-radius: 10px;
    height: auto;
  }

  .block-header {
    font-size: 17px;
    margin-inline: 20px;
    text-align: center;
  }
}

video {
  width: 100%;
  border-radius: 10px 10px 0px 0px;
  height: 200px;
  object-fit: cover;
}

.width50 {
  width: 50%;
}

.width90 {
  width: 90%;
}

.centered {
  text-align: center;
  margin: auto;
}

.cardStyle {
  /* border-radius: 10px; */
  /* box-shadow: 10px 10px; */
  box-shadow: 0 0px 3px 0 rgba(0, 0, 0, 0.2), 0 0px 0px 0 rgba(0, 0, 0, 0.19);
}

.intro-p-first {
  margin: auto;
  background: white;
  padding: 20px;
  margin-top: 63px;
  z-index: 1;
  position: relative;
  width: 50%;
  box-shadow: 0 4px 8px 0 rgb(165 202 239 / 29%);
  border-radius: 0px;
  margin-bottom: -43px;
  font-size: 19px;
  opacity: 0;
  /* Initially hide the element */
  transition: opacity 0.5s ease;

  /* border: 1px solid #9248fb; */
  img {
    width: 44px;
    margin: 0 auto;
    display: block;
    margin-bottom: 10px;
    opacity: 0.9;
  }
}

span.colored-span {
  color: var(--primary-color);
}

span#site_name2 {
  font-family: "sftransrobotic", monospace;
  font-size: 30px;
  color: var(--primary-color);
  /* color: #865bfe; */
}

span#site_name1 {
  font-family: "sftransrobotic", monospace;
  font-size: 30px;
  color: black;
}

.site_identity p {
  color: #00000094;
  margin: 0;
  font-family: "Poppins";
  font-size: 12px;
  display: none;
  line-height: 0.8;
}

h1.intro-h1 {
  text-align: center;
  font-size: 40px;
  /* margin: 20px; */
  font-weight: 900;
  padding-top: 28px;
  width: 60%;
  margin: auto;
  line-break: auto;
  margin-bottom: 40px;
}

.right-sb-post-pubs {
  margin: 5px;
  /* padding: 3px; */
  box-shadow: 0 0px 9px 0 rgb(242 240 240);
  padding: 5px;
  font-family: "Poppins";
  display: flex;
  flex-direction: row-reverse;
  height: 100px;

  img {
    width: 90px;
    height: 90px;
    object-fit: cover;
  }

  p {
    font-size: 80%;
    text-align: left;
    margin: auto;
    padding: 10px;
    font-weight: 600;
  }
}

.right-sb-heading {
  background: #626262;
  padding-block: 4px;
  padding-left: 10px;
  color: white;
  border-radius: 5px;
  font-size: 15px;
}

.poly {
  clip-path: polygon(6% 14%, 43% 9rem, 31% 47%, 92% 11rem, 104% 98%, 15% 100%);
  background: #f0f0f0;
  float: left;
  width: -webkit-fill-available;
  height: 160px;
  -webkit-clip-path: polygon(0% 1.5rem,
      100% 1.5rem,
      100% calc(100% - 1.5rem),
      0% calc(100% - 1.5rem));
  clip-path: polygon(0% 1.5rem,
      100% 1.5rem,
      101% calc(107% - 1.5rem),
      0% calc(100% - 1.5rem));
}

.page {
  /* margin: 10px; */
  height: 100vh;
  /* overflow: auto; */
  display: flex;
  flex-direction: column;
}

.page-content {
  background: white;
  padding: 20px;
  display: flex;
  flex-direction: column;
  margin: 10px;
  /* height: inherit; */
}

/* product imgs container div */

div#prodImageContainer {
  display: flex;
  margin-top: 10px;
  flex-direction: row;
  flex-wrap: nowrap;

  overflow: auto;
  scrollbar-width: thin;

  img {
    border: 1px solid #d0e8f8;
    object-fit: cover;
    margin-right: 20px;
    padding: 10px;
  }
}

.buttonIcon {
  width: 20px !important;
  height: auto;
  margin-right: 5px;
}

.prodBtnsHolder {
  display: flex;
  flex-direction: row;
  margin-top: 15px;
  flex-wrap: wrap;

  a {
    text-decoration: none;
  }

  .prodBtn {
    margin-right: 10px;
    font-family: inherit;
    margin-bottom: 5px;
  }

  button#prodBtnViewDoc {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    background: whitesmoke;
    color: black;
  }

  button#prodBtnViewComment {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    background: whitesmoke;
    color: black;
  }

  button#prodBtnViewDemoFile {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    background: whitesmoke;
    color: black;
  }
}

button#prodBtnBuy {
  width: 200px;
}

.single_post_comments {
  margin: 6px;
  /* border: 1px solid var(--primary-color); */
  height: auto;
  border-radius: 5px;

  background-color: white;
  padding: 15px;
}

form#comment_form {
  text-align: center;

  input {
    margin: 5px;
    width: 90%;
    padding: 10px;
    outline-color: #0a8aff00;
    border: 0px solid var(--primary-color);
    border-radius: 5px;
    background: ghostwhite;
  }

  #post_comment {
    min-height: 100px;
  }
}

.comments {
  margin-top: 10px;
  padding: 10px;
}

p#comment_error {
  color: #ff0300;
  margin: 2px;
}

div#errorMessage {
  background: #fc8209e6;
  color: white;
  padding: 5px;
  font-family: poppins_bold;
  margin: 10px;
  font-size: 13px;
  border-radius: 5px;
}

p#comment_date {
  font-size: 11px;
  color: #bbc0c4;
}

.single-comment {
  border: 1px solid #0b73d526;
  padding: 20px;
  border-radius: 7px;
  margin: 5px;
}

p#commenter_name {
  font-weight: 600;
  font-size: 12px;
  color: #3ccd58;
}

.menu_left img {
  width: 12px;
  height: 12px;
  margin-right: 10px;
  border: 1px solid #cbcccc;
  padding: 5px;
  border-radius: 15px;
}

.centered-content {
  text-align: center;
  max-width: 350px;
  display: flex;
  flex-direction: column;
  background: white;
  align-items: center;
  border-radius: 12px;
  padding: 10px;
  margin: auto;
  margin-top: 20px;
  margin-bottom: 10px;
  box-shadow: 0 0px 4px 0 rgb(242 240 240);
}

.contact-buttons {
  text-align: center;
  max-width: 350px;
  display: flex;
  flex-direction: column;
  background: white;
  align-items: center;
  border-radius: 12px;
  padding: 10px;
  margin: auto;
  margin-top: 20px;
  margin-bottom: 10px;
  box-shadow: 0 0px 4px 0 rgb(242 240 240);
}

.contact-buttons a {
  display: inline-block;
  margin: 10px;
  padding: 10px;
  font-family: Poppins_bold;
  width: 200px;
  text-align: center;
  color: white;
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
  transition: background-color 0.3s;
  border-bottom: 0;
}

.home_contents_holder a {
  color: inherit;
}

a.email-contact {
  background: #0513ac;
  color: white;
  text-align: center;
  padding: 10px;
  width: fit-content;
  font-family: sans-serif;
  margin: auto;
}

a.whatsapp {
  background: #4caf50;
}

a.email {
  background-color: #d14836;
}

a.telegram {
  background-color: #0088cc;
}

a.call {
  background-color: #4caf50;
}

details {
  padding: 10px;
  border: 3px solid #8d53fd26;
  margin: 2px;
  font-family: poppins_bold;
  border-radius: 7px;

  p {
    padding: 20px;
  }

  ::marker {
    color: #ae53fd;
  }
}

.loader {
  width: 150px;

  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  height: 156px;
  text-align: center;
  padding: 5px;
  bottom: 0;
  z-index: 999;
  margin: auto;
}

img#loadingBar {
  width: 50%;
  height: auto;
  margin: auto;
  box-shadow: 0 0px 20px 0 #e2e2e2;
  border-radius: 15px;
  /* padding: 10px; */
}

img.post_img_app_demo {
  width: 150px;
  height: auto;
}

.fixed {
  position: fixed;
  padding-top: 50px;
  top: 0;
  left: 0;
  /* Adjust the position of the fixed sidebar */
  z-index: 1000;
  /* Ensure the sidebar stays above other content */
  /* Add any other styles you want for the fixed sidebar */
}

.relative {
  position: relative;
}

.cat {
  background: #757575;
  right: 8px;
  position: absolute;
  margin-top: 4px;
  font-size: 74%;
  display: none;
  padding-inline: 10px;
  color: whitesmoke;
  border-radius: 0px 5px 0px 0px;
}

article.view_post_article {
  a {
    color: var(--primary-color);
    border-bottom: 3px solid var(--primary-color);
    text-decoration: none;
  }

  .article-notice {
    background: #0b9900;
    padding: 10px;
    font-size: 15px;
    color: #000000;
    margin: 10px;
    font-family: "Poppins";
    border-radius: 6px;
    /* filter: drop-shadow(0px 1px 0px black); */

    p {
      color: white;
    }

    a {
      color: rgb(74, 20, 222);
    }
  }

  .contact-buttons a {
    color: #f4f4f4;
    text-decoration: none;
    border-bottom: 0;
  }
}

.product_heading_holder img {
  box-shadow: 0 0px 9px 0 rgb(242 240 240);
}

article p {
  margin-top: 10px;
  margin-bottom: 10px;
  line-height: 1.6;
  color: #000000;
  margin-left: 3px;
  margin-right: 3px;
  /* padding: 10px; */
  letter-spacing: 0.6px;
}

div#site_name_holder {
  display: inline-flex;
  flex-direction: column;
}

.title-wrapper {
  display: flex;
  padding: 10px;
  align-items: center;
}

body {
  margin: 0;
  height: 100vh;
  background: white;
  width: 100%;
  overflow-x: hidden;

  /* background: #021936; */
}

/* Header site name icon etc holder */
.site_identity {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-left: 10px;
}

/* header icon left */
img#siteIcon {
  margin-right: -7px;
  height: auto;
  width: 34px;
  display: none;
  /* padding: 7px; */
  /* border-radius: 31px; */
  /* border: 2px solid #ffffff; */
  /* filter: invert(21); */
  /* background: var(--primary-color); */
  margin-top: 9px;
}

#mobileMenuIcon {
  display: none;
}

nav.header_desktop_links {
  padding-right: 20px;
}

/* END OF SET UP */
figcaption {
  font-size: 13px;
  color: #7a8181;
}

.paypal-item {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.slider_holder {
  width: 100%;
  overflow: hidden;
  position: relative;
}

.image_slider {
  display: flex;
  transition: transform 0.3s ease;
}

.image_slider img {
  width: 30%;
  height: auto;
}

.product_heading_holder p {
  font-size: 13px;
}

.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 50px;
  height: 50px;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  text-align: center;
  line-height: 50px;
}

.prev {
  left: 0;
}

.next {
  right: 0;
}

.dots {
  text-align: center;
  margin-top: 10px;
}

.dot {
  display: inline-block;
  width: 10px;
  height: 10px;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  margin: 0 5px;
  cursor: pointer;
}

.product_heading_holder {
  text-align: center;
  /* padding: 10px; */
  border-radius: 6px;
  box-shadow: 0 0px 9px 0 rgb(242 240 240);
  background: linear-gradient(321.92deg,
      rgb(226 244 252) 19.99%,
      rgba(224, 244, 243, 0) 69.23%),
    #f8fafc;
  padding-block: 10px;
  border: 01px solid #97e2f7;
  padding-bottom: 50px;
  padding-top: 0px;
}

.support img {
  width: 50px;
  height: 50px;
  margin: 5px;
  padding: 5px;
}

@keyframes zoomInOutAnimation {

  0%,
  100% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.1);
  }
}

.support {
  position: fixed;
  z-index: 6;
  right: 0;
  display: flex;
  bottom: 0;
  /* background: #ffffff; */
  flex-direction: column;
  padding: 0px 8px 0px 10px;
  margin-right: 3%;
  margin-bottom: 3%;
  border-radius: 30px;
  /* border: 2px solid #0a81ef; */
  /* box-shadow: 0 0px 4px 0 rgb(202 202 202 / 48%); */
  transition: width 0.5s;
  align-items: center;
  animation: zoomInOutAnimation 3s initial;
}

.sprt-icons {
  display: none;
  flex-direction: column;
}

.sprt-icons img {
  margin: 10px;
}

.sprt-trigger {
  display: flex;

  align-items: center;
}

.support p {
  font-family: "Poppins";
  background: #2694ff;
  border: 1px solid #ffffff6e;
  padding-inline: 16px;
  color: #ffffff;
  font-weight: 700;
  left: -10px;
  border-radius: 4px;
  position: relative;
}

.support p::after {
  content: "";
  position: absolute;
  top: -1px;
  left: 101px;
  width: 0;
  height: 0;
  border: 13px solid transparent;
  border-top-color: #2694ff;
  transform: rotate(-93deg);
}

footer {
  position: relative;
  background: #000000;
  bottom: 0;
  /* max-width: 100%; */
  padding: 10px;
  text-align: center;
  font-family: "Poppins";
  font-size: 13px;
  z-index: 4;
  width: -webkit-fill-available;
  margin-top: 100px;

  p {
    color: white;
  }

  a {
    color: rgb(157, 153, 153);
    text-decoration: none;
    transition: color 0.3s;
    border-bottom: 0;
  }

  .footer-info {
    color: rgb(187, 189, 189);
    text-align: center;
  }

  a:hover {
    color: #b7b8b6;
    /* Change the text color on hover */
  }

  .footer-links {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: flex-start;

    a {
      margin: 10px;
    }
  }

  .footer-items {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
  }
}

.page_contents_holder {
  display: flex;
}

.post_content {
  display: flex;
  box-shadow: 0 0px 9px 0 rgb(242 240 240);
  margin: 5px;
  border-radius: 4px;
  cursor: pointer;
  background: white;
  align-items: center;
  transition: background-color 0.3s ease;
  transition: transform 0.3s ease;
  /* transition: border-bottom 0.2s ease-out; */
}

.post_content:hover {
  /* Styles to apply when hovering over .post_content */
  /* For example: */
  /* background-color: rgb(199, 229, 255); */
  transform: scale(1.01);
  border-bottom: 2px solid rgba(11, 133, 215, 0.308);
}

.post_image {
  max-width: 200px;
  max-height: 200px;
  min-width: 150px;
  min-height: 150px;
  margin: 20px;
  border-radius: 4px;
  object-fit: cover;
}

.google-auto-placed {
  font-size: 12px;
  font-family: "Arial", sans-serif;
  font-style: italic;
  background: #fbfbfb;
  padding: 0;
  margin: 10px;
}

.google-auto-placed::before {
  content: "Advertisements";
  color: #b0a7a7;
}

.home-post-title {
  margin-bottom: 5px;
}

.site_message {
  text-align: center;
  background: var(--primary-color);
  top: 0;
  display: none;
  justify-content: center;
  color: white;
  font-family: sans-serif;
  padding: 20px;
}

/* h2#home_post_title {
    font-family: "Poppins_bold";
    margin-top: 13px;
} */

.home-post-content {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  font-family: "Poppins";
  margin: 0;
  color: #434444;
}

.home_contents_holder {
  display: flex;
}

.posts_container {
  position: relative;
  /* left: 14%; */
  /* right: 17%; */
  width: -webkit-fill-available;
  /* margin-right: 14%; */
}

.sidebar-right {
  min-width: 20%;
  width: 20%;
  margin: 1px;
  border-radius: 4px;
  margin-top: 6px;
  padding: 5px;
  box-shadow: 0 0px 9px 0 rgb(242 240 240);
  background: white;
  height: auto;

  a {
    color: inherit;
  }
}

.right-sb-post {
  margin: 5px;
  /* padding: 3px; */
  box-shadow: 0 0px 9px 0 rgb(242 240 240);
  padding: 5px;
  font-family: "Poppins";

  p {
    font-size: 80%;
  }
}

.sidebar-right img {
  max-width: 100%;
  border-radius: 4px;
}

.post_info {
  margin-right: 10px;
  margin-left: 10px;
  /* text-align: start; */
  overflow: hidden;
  padding: 10px;
}

.post-date {
  line-height: 0em;
  font-family: Poppins;
  font-size: 11px;
  color: #aaa6a6;
  white-space: nowrap;
  margin-left: 0px;
}

p#post_date {
  background: #62b504;
  width: fit-content;
  color: #ffffff;
  padding: 2px;
  font-size: 11px;
  padding-inline: 9px;
  border-radius: 2px 12px 12px 0px;
}

.search-box {
  margin: 10px;
}

form#search {
  position: relative;
  display: inline-flex;
  width: 100%;
  flex-direction: column-reverse;
  justify-content: flex-start;
}

#search_button {
  position: absolute;
  top: 0px;
  right: 0px;
  padding: 0;
  bottom: 0px;
  border-radius: 5px;
  border: 0px;
  text-align: center;
  min-width: 70px;
  background: black;
  color: white;
  font-family: Poppins;
  margin: 3px;
  font-size: 12px;
}

input#search_input {
  max-width: 100%;
  border-radius: 5px;
  border: 0;
  padding: 12px;
  background: ghostwhite;
  outline-color: var(--primary-color);
  box-shadow: 0 1px 23px 0 rgba(0, 0, 0, 0.2);
}

.search_result_info {
  background: var(--primary-color);
  padding: 1px;
  color: white;
  text-align: center;
  font-size: 50%;
}

.search_results_holder {
  /* position: relative; */
  width: 100%;
  background: white;
}

.error_post {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  margin: 6px;
  background: white;
  position: relative;
  margin-top: 63px;
  box-shadow: 0 0px 9px 0 rgb(242 240 240);
  padding: 20px;
  border-radius: 4px;
}

h1,
h2,
h3,
h4 {
  font-family: "Poppins_bold", "Arial", sans-serif;
  letter-spacing: 0.6px;
  margin-top: 10px;
  margin-bottom: 10px;
}

h1 {
  font-size: 2.25rem;
}

/* ≈36px */
h2 {
  font-size: 1.875rem;
}

/* ≈30px */
h3 {
  font-size: 1.5rem;
}

/* ≈24px */
h4 {
  font-size: 1.25rem;
}

/* ≈20px */


p {
  font-family: "Poppins", sans-serif;
  margin: 0;
  color: var(--p-color);
}

strong {
  color: #000000;
  font-family: "Poppins", sans-serif;
}

li {
  font-family: "Poppins", sans-serif;
  padding: 0px;
  color: var(--p-color);
  letter-spacing: 0.6px;
}

a.image_link {
  border-bottom: none;
}

article img {
  /* width: 70% !important;
  border-radius: 4px; */
}

/* LEFT MENU */
.menu_left {
  position: fixed;
  background: white;
  max-width: 15%;
  height: 100vh;
  border-radius: 4px;
  z-index: 1;
  overflow: auto;
  margin-top: 6px;
  display: block;
  scrollbar-width: thin;
  scroll-behavior: smooth;
  scrollbar-color: #efefefbf white;
  box-shadow: 0 0px 9px 0 rgb(242 240 240);
}

.menu_left ul {
  list-style: none;
  padding: 0;
  margin-top: 0;
  padding-block-end: 70px;
}

.menu_left a {
  text-decoration: none;
  color: #454343;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  border-bottom: 0;
  font-size: 80%;
}

.menu_left li {
  border-bottom: 1px solid #f6f3f3;
  padding: 10px;
  display: flex;
  align-items: stretch;
  transition: background-color 0.3s ease;
}

.menu_left li:hover {
  background-color: aliceblue;
}

article {
  font-family: "Poppins", sans-serif;
}

hr {
  opacity: 0.2;
}

img.z-logo-big {
  width: auto;
  max-width: 200px;
  height: auto;
  margin: auto;
}

article.centered-article {
  text-align: center;
}

button:hover {
  transform: scale(1.1);
  /* Scale up to 110% */
}

button {
  padding: 10px;
  color: white;
  border: 0px solid ghostwhite;
  font-weight: 900;
  font-size: 15px;
  font-family: "Poppins_bold";
  border-radius: 0px;
  background: linear-gradient(45deg, #0283ea, #0283ea);
  cursor: pointer;
  transition: transform 0.3s ease;
  display: block;
}

.content_view_post {
  display: flex;
}

pre {
  overflow: auto;

  color: #fff3e4;
  padding: 30px;
  background: linear-gradient(to right, #494848, #282828);
  position: relative;
  display: flex;
  flex-direction: column-reverse;
  line-height: 1.5;
  align-content: center;
  align-items: flex-start;
  border-radius: 10px;
}

button.copy-button {
  border-radius: 3px;
  font-size: 12px;
  padding: 5px;
  /* font-family: monospace; */
  padding-inline: 13px;
  margin-bottom: 10px;
  /* background: #ffffff; */
  color: #fff5f5;
}

.popup-close {
  width: 35px;
  height: 35px;
  background: #2fc812;
  right: 0;
  position: absolute;
  border-radius: 20px;
  margin: -6px;
  cursor: pointer;
  box-shadow: 0 0px 4px 0 rgb(51 164 14);
}

img.popup-close:hover {
  transform: scale(1.1);
}

.sub-popup {
  background: #ffffff;
  display: none;
  width: 50%;
  height: auto;
  position: fixed;
  max-height: 60%;
  left: 0;
  box-shadow: 0 0px 50px 0 rgb(141, 187, 233);
  right: 0;
  top: 0;
  z-index: 999;
  border-radius: 15px;
  bottom: 0;
  margin: auto;

  form.subs {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
  }

  #title {
    color: #0c4f8d;
    font-family: sans-serif;
    margin: 0;
    padding: 10px;
    text-align: center;
    font-size: 19px;
    margin: 10px;
    width: 65%;
    border-radius: 12px;
    text-transform: capitalize;
  }

  p {
    font-family: "Poppins";
    margin: 20px;
    font-size: 15px;
    width: 65%;
    color: #727374;
  }

  input#sub_email {
    width: 60%;
    padding: 10px;
    outline: none;
    min-height: 24px;
    background: ghostwhite;
    border: none;
    border-radius: 6px;
  }

  input[type="submit"] {
    margin: 11px;
    width: 30%;
    padding: 12px;
    background: #0863d4;
    border: 0;
    border-radius: 6px;
    color: white;
    font-family: "Poppins_bold";
    font-size: 15px;
    cursor: pointer;
  }

  h2#cancelSubPopup {
    font-size: 15px;
    cursor: pointer;
    margin: 0;
  }
}

.intro {
  background: white;
  height: auto;
  position: relative;

  opacity: 0;
  /* Initially hide the element */
  transition: opacity 1.5s ease;

  .intro-heading {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    align-items: center;
    backdrop-filter: blur(17px);
    padding: 59px;
  }

  .stacked {
    color: black;
  }

  .stacked p {
    font-size: 17px;
    opacity: 0.7;
    line-height: 1.9;
  }

  .heading-img {
    max-width: 20%;
    margin-right: 30px;
    border-radius: 100px;
    background: black;
    padding: 10px;
  }

  .intro-header {
    color: black;
    font-weight: bold;
    margin: 0;
    font-size: 25px;
  }

  .intro-btn {
    padding: 10px 31px;
    color: #ffffff;
    margin-top: 10px;
    cursor: pointer;
    font-family: "Poppins_bold";

    border-radius: 25px;
  }

  @keyframes neon {
    from {
      text-shadow: 0 0 10px #00ffff, 0 0 20px #00ffff, 0 0 30px #00ffff,
        0 0 40px #00ffff, 0 0 70px #00ffff, 0 0 80px #00ffff, 0 0 100px #00ffff,
        0 0 150px #00ffff;
    }

    to {
      text-shadow: 0 0 5px #00ffff, 0 0 10px #00ffff, 0 0 15px #00ffff,
        0 0 20px #00ffff, 0 0 35px #00ffff, 0 0 40px #00ffff, 0 0 50px #00ffff,
        0 0 75px #00ffff;
    }
  }
}

/* Styles for screens smaller than 576 pixels (e.g., smartphones) */
@media screen and (max-width: 575.98px) {
  /* Styles for small screens */
}

/* Styles for screens between 576 and 767 pixels (e.g., landscape smartphones, small tablets) */
@media screen and (min-width: 576px) and (max-width: 767.98px) {
  /* Styles for medium-small screens */
}

/* Styles for screens between 992 and 1199 pixels (e.g., landscape tablets, laptops) */
@media screen and (min-width: 992px) and (max-width: 1199.98px) {
  /* Styles for medium-large screens */
}

/* Styles for screens larger than or equal to 1200 pixels (e.g., desktops, large monitors) */
@media screen and (min-width: 1200px) {

  /* Styles for large screens */
  .block-holder-main {
    padding-left: 100px;
    padding-right: 100px;
  }

  .block-holder-main1 {
    padding-left: 100px;
    padding-right: 100px;
  }
}

@media only screen and (max-width: 768px) {
  .ftrd-img-wrapper {
    margin-bottom: 20px;

    img {
      display: block;

      margin: auto;
      width: 100% !important;
    }
  }

  .product-download {
    width: 90%;
    margin: auto;
  }

  .product-purchase-holder {
    width: 80%;
  }

  aside {
    width: 100%;
  }

  .main-article {
    width: 100%;
  }

  .explore-btn-home {
    width: 50%;
    font-size: 14px;
    font-family: sans-serif;
  }

  .holder-view_article {
    display: block;
    padding: 3% 5%;
    margin: 0;
    margin-top: 101px;
  }

  .Start-building {
    width: 80%;
  }

  .intro-p-first {
    margin: 20px;
    width: -webkit-fill-available;
    margin-bottom: -64px;
    font-size: 15px;
  }

  .blocks-holder {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  h2.block-main-heading {
    font-size: 18px;
    margin: 10px;
    text-align: center;
    width: 77%;
    margin: auto;
    padding: 10px;
    font-family: "Poppins";
  }

  .block {
    display: block;
    /* width: 90%; */
    box-shadow: 0 0px 0px 0 rgba(0, 0, 0, 0.2), 0 0px 3px 0 rgba(0, 0, 0, 0.19);
    text-align: center;
    width: 300px;

    margin: 10px;
    /* border-radius: 10px; */

    img {
      width: 100%;
      max-width: 400px;
      /* clip-path: inset(0 round 10px); */
      /* border-radius: 10px 10px 0px 0px; */
    }

    p {
      margin-left: 20px;
      margin-bottom: 20px;
      margin-right: 20px;
    }

    .block-img-small {
      width: 100px;
      margin-top: 20px;
      /* border-radius: 10px; */
      height: auto;
    }
  }

  h1.intro-h1 {
    text-align: center;
    /* font-size: calc(1.625rem + -0.4vw); */
    /* margin: 20px; */
    font-weight: 900;
    padding-top: 28px;
    width: 80%;
    margin: auto;
    font-size: 21px;
    line-height: 1.49;
    font-family: "Poppins_bold";
    /* font-weight: 600; */
  }

  .home-post-title {
    font-size: 14px;
  }

  p,
  li {
    font-size: 1rem;

  }

  h1 {
    font-size: 1.75rem;
  }

  /* ~28px */
  h2 {
    font-size: 1.5rem;
  }

  /* ~24px */
  h3 {
    font-size: 1.25rem;
  }

  /* ~20px */
  h4 {
    font-size: 1.125rem;
  }

  /* ~18px */

  .sub-popup {
    background: #ffffff;
    display: none;
    width: 90%;
    height: auto;
    position: fixed;
    left: 0;
    box-shadow: 0 0px 50px 0 rgb(141, 187, 233);
    right: 0;
    top: 0;
    z-index: 999;
    border-radius: 15px;
    bottom: 0;
    margin: auto;
    /* overflow: auto; */

    .popup-form-holder {
      height: inherit;
      overflow: auto;
    }

    form.subs {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
    }

    #title {
      color: #0c4f8d;
      font-family: sans-serif;
      margin: 0;
      padding: 10px;
      text-align: center;
      font-size: 15px;
      margin: 10px;
      width: 65%;
      border-radius: 12px;
    }

    img {
      width: 75px;
      height: 75px;
    }

    p {
      font-family: "Poppins";
      margin: 10px;
      width: 80%;
      color: #3c3b3b;
      font-size: 77%;
    }

    input#sub_email {
      width: 70%;
      padding: 10px;
    }

    input[type="submit"] {
      margin: 11px;
      width: 30%;
      padding: 6px;
      background: #0863d4;
      border: 0;
      border-radius: 6px;
      color: white;
      font-family: "Poppins_bold";
      font-size: 15px;
    }

    h2#cancelSubPopup {
      font-size: 14px;
      margin: 0;
    }

    /* input#sub_email {
            width: 50%;
            padding: 19px;
            border-radius: 11px;
            outline-color: transparent;
            left: 0;
            right: 0;
            position: absolute;
            /* top: 0; */
    /* margin: auto;
            bottom: 71px;
            display: block; */
    /* } */
  }

  .page_contents_holder {
    display: flex;
    margin-left: 0;
  }

  .posts_container {
    position: relative;
    left: 0;
    /* right: 17%; */
    margin-right: 0;
    width: -webkit-fill-available;
  }

  .content_view_post {
    display: block;
  }

  /* img#siteLeftMenu {
        display: block;
        width: 30px;
        height: 30px;
        margin-left: 10px;
        opacity: 0.7;
    } */

  nav.header_desktop_links {
    display: none;
  }

  .intro {
    padding-bottom: 20px;

    .intro-heading {
      display: flex;
      flex-direction: column;
      flex-wrap: nowrap;
      justify-content: space-evenly;
      align-items: center;
      backdrop-filter: blur(37px);
      padding: 24px;
    }

    .heading-img {
      max-width: 40%;
      margin: 20px;
    }

    .stacked h1 {
      font-size: 16px;
    }

    .stacked p {
      font-size: 14px;
      opacity: 0.8;
    }
  }

  .menu_left {
    display: none;
  }

  .intro {
    left: 0;
    max-width: 100%;
  }

  /* homepage */
  .home_contents_holder {
    display: block;
  }

  .post_image {
    border-radius: 4px;
    width: 150px;
    min-width: 150px;
    margin: 2px;
    object-fit: cover;
  }

  article img {
    width: 100% !important;
  }

  h2#home_post_title {
    font-family: "Poppins_bold";
    margin-top: 0px;
    font-size: 16px;
    -webkit-line-clamp: 3;
    overflow: hidden;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    margin-bottom: 5px;
  }

  p#home_post_content {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    font-family: "Poppins";
  }

  .sidebar-right {
    width: auto;
    max-width: 100%;

    margin: 5px;
  }

  .sidebar img {
    width: 100%;
  }

  .side_menu {
    position: absolute;
    background: white;
    width: 50%;
    height: 100vh;
    z-index: 999;
    display: none;
  }

  .single_post {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    margin: 0;
    padding: 0px;
    margin-top: 0;
    margin-right: 0;
    left: 0;
    box-shadow: 0 0px 0px 0 rgba(0, 0, 0, 0);
  }

  p#single_post_content {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    font-family: "Poppins";
    margin-top: -8px;
  }

  div#post_info {
    margin: 10px;
  }

  .single_post #ftrd_img {
    max-width: 100%;
    margin-top: -2px;
  }

  .page_contents_holder {
    display: block;
  }

  img#mobileMenuIcon {
    display: block;
    width: 30px;
    margin-left: 10px;

    filter: invert(1);
  }
}